# Generated by Django 3.0.6 on 2020-05-11 00:14

from django.db import migrations, models
import django.db.models.deletion


def migrate_year(apps, schema_editor):
    Year = apps.get_model('spbstu', 'Year')
    Group = apps.get_model('spbstu', 'Group')
    for group in Group.objects.all():
        year, created = Year.objects.get_or_create(since_date=group.year)
        group.new_year = year
        group.save()


class Migration(migrations.Migration):
    dependencies = [
        ('spbstu', '0012_schedule'),
    ]

    operations = [
        migrations.CreateModel(
            name='Commission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Year',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('since_date', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='CommissionTeacher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_main', models.BooleanField(default=False)),
                ('commission', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='spbstu.Commission')),
                ('teacher', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='spbstu.Teacher')),
            ],
        ),
        migrations.AddField(
            model_name='commission',
            name='teachers',
            field=models.ManyToManyField(through='spbstu.CommissionTeacher', to='spbstu.Teacher'),
        ),
        migrations.AddField(
            model_name='commission',
            name='year',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='spbstu.Year'),
        ),
        migrations.AddField(
            model_name='group',
            name='new_year',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='spbstu.Year'),
        ),
        migrations.RunPython(migrate_year)
    ]
